--
-- Acros
-- Specialization for acros mod na ventelator
--
-- @author:....
-- perepiska pod acros : Foit
-- @date  0	1/11/12
--  
-- Copyright (C) RNMT.WWWW.fs-mod.3dn.ru

ventelator = {};

function ventelator.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ventelator:load(xmlFile)
       self.ventelator1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.ventelator1#index"));
	   self.ventelator2 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.ventelator2#index"));
end;

function ventelator:delete()
end;

function ventelator:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ventelator:keyEvent(unicode, sym, modifier, isDown)
end;

function ventelator:update(dt)
	if self.isMotorStarted then
         		rotate(self.ventelator1, dt*0.05,0, 0, 0 );
				rotate(self.ventelator2, dt*0.05,0, 0, 0 );
	end;

end;

function ventelator:draw()
end;

